Skip to content

Replace preferences

PUT
/api/v1/me/preferences
curl --request PUT \
--url http://127.0.0.1:8080/api/v1/me/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "overrides": { "appearance": "", "content_languages": [ "example" ], "measurement": "", "microwave_output_watts": 1, "print_image": "", "print_page_size": "", "recipe_view": "", "reduced_motion": "", "temperature": "", "timezone": "example", "ui_locale": "example" }, "revision": 1 }'
Accept-Language
string
Media typeapplication/json
object
overrides
required
object
appearance
string
Allowed values: "" system light dark
content_languages
Array<string> | null
<= 20 items
measurement
string
Allowed values: "" original metric us au
microwave_output_watts
integer format: int64
<= 5000
print_image
string
Allowed values: "" automatic include omit
print_page_size
string
Allowed values: "" automatic letter a4
recipe_view
string
Allowed values: "" comfortable compact
reduced_motion
string
Allowed values: "" system reduce
temperature
string
Allowed values: "" original celsius fahrenheit
timezone
string
<= 100 characters
ui_locale
string
<= 100 characters
revision
required
integer format: int64

OK

Media typeapplication/json
object
effective
required
object
appearance
string
Allowed values: "" system light dark
content_languages
Array<string> | null
<= 20 items
measurement
string
Allowed values: "" original metric us au
microwave_output_watts
integer format: int64
<= 5000
print_image
string
Allowed values: "" automatic include omit
print_page_size
string
Allowed values: "" automatic letter a4
recipe_view
string
Allowed values: "" comfortable compact
reduced_motion
string
Allowed values: "" system reduce
temperature
string
Allowed values: "" original celsius fahrenheit
timezone
string
<= 100 characters
ui_locale
string
<= 100 characters
interface_locales
required

Interface languages this server ships. A preview locale is incomplete or unreviewed and is used only when chosen explicitly

Array<object> | null
object
status
required
string
Allowed values: supported preview
tag
required

BCP 47 tag

string
key
additional properties
any
overrides
required
object
appearance
string
Allowed values: "" system light dark
content_languages
Array<string> | null
<= 20 items
measurement
string
Allowed values: "" original metric us au
microwave_output_watts
integer format: int64
<= 5000
print_image
string
Allowed values: "" automatic include omit
print_page_size
string
Allowed values: "" automatic letter a4
recipe_view
string
Allowed values: "" comfortable compact
reduced_motion
string
Allowed values: "" system reduce
temperature
string
Allowed values: "" original celsius fahrenheit
timezone
string
<= 100 characters
ui_locale
string
<= 100 characters
revision
required
integer format: int64
version
required
integer format: int64
key
additional properties
any
Example
{
"effective": {
"appearance": "",
"measurement": "",
"print_image": "",
"print_page_size": "",
"recipe_view": "",
"reduced_motion": "",
"temperature": ""
},
"interface_locales": [
{
"status": "supported"
}
],
"overrides": {
"appearance": "",
"measurement": "",
"print_image": "",
"print_page_size": "",
"recipe_view": "",
"reduced_motion": "",
"temperature": ""
}
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}